#include "webpicture.h"
#include <QDebug>
WebPicture::WebPicture(QWidget *parent) :
        QLabel(parent)
{
    mHttp = new QHttp(this);
    mPixmap = new QPixmap;
    connect(mHttp,SIGNAL(done(bool)),this,SLOT(imageDownloaded(bool)));
}
void WebPicture::load(QUrl path)
{

    mHttp->setHost(path.host());
    mHttp->get(path.path());


}
void WebPicture::imageDownloaded(bool error)
{

    qDebug()<<"image downloaded";
    mPixmap->loadFromData(mHttp->readAll());
    resize(mPixmap->size());
    setPixmap(*mPixmap);

}
